Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.simpleidentity
Class PortSerializer

    java.lang.Object
      org.mpisws.p2p.transport.simpleidentity.PortSerializer

All Implemented Interfaces:
  Serializer<java.net.InetSocketAddress>

    public class PortSerializer

extends java.lang.Object
implements Serializer<java.net.InetSocketAddress>

Converts the ephemeral port to the normal port.

Author:
  Jeff Hoye

Constructor Summary
`PortSerializer()`

Method Summary
`java.net.InetSocketAddress` | `deserialize(InputBuffer b, java.net.InetSocketAddress i, java.util.Map<java.lang.String,java.lang.Object> options)`
`void` | `serialize(java.net.InetSocketAddress i, OutputBuffer b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortSerializer

    public PortSerializer()

Method Detail

### deserialize

    public java.net.InetSocketAddress deserialize(InputBuffer b,
                                                  java.net.InetSocketAddress i,
                                                  java.util.Map<java.lang.String,java.lang.Object> options)
                                           throws java.io.IOException

  Specified by:
    `deserialize` in interface `Serializer<java.net.InetSocketAddress>`
  Throws:
    `java.io.IOException`

### serialize

    public void serialize(java.net.InetSocketAddress i,
                          OutputBuffer b)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `Serializer<java.net.InetSocketAddress>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.